<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Ausgaben\Feedback;

class FeedbackVersandtView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'basis/feedback/feedbackversendet.sgt';
  }
  
  protected function getDefaultDataModulArray()
  {
    $this->viewModel->kurs->message = $this->viewModel->message;
    $this->viewModel->kurs->toolId = $this->viewModel->toolId;
    $this->viewModel->kurs->action = $this->viewModel->action;
    return array($this->viewModel->kurs);
  }
  
  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse();
  }
}

class FeedbackVersandtViewModel
{
  public $kurs;
  public $message;
  public $toolId;
  public $action;
}